<div class="escort-info city-container">

	<?php foreach ($this->primary_cities as $pc): ?>

	<div class="city-block">
		<span class="city">
			<a 
				href="<?= $this->getLink('videos-list', array('city_id' => $pc->id )); ?>"
			><?= $pc->city_title ?>
			</a> <i>(<?= $pc->v_count; ?>)</i>
		</span>
	</div>

	<?php endforeach; ?>
	
	<button type="button" id="btnShowMore"><?= __('more_cities'); ?></button>


	<div style="display: none" class="scondary-cities">
		<hr class="separator">
	
	<?php foreach ($this->secondary_cities as $sc): ?>
		<div class="city-block">
			<span class="city">
				<a 
					href="<?= $this->getLink('videos-list', array('city_id' => $sc->id )); ?>"
				><?= $sc->city_title ?>
				</a> <i>(<?= $sc->v_count; ?>)</i>
			</span>
		</div>
	<?php endforeach; ?>

	<button type="button" id="btnShowLess"><?= __('btn_less_cities'); ?></button>

	</div>

	<div class="clear"></div>
</div>

<div class="clear"></div>
<div class="video-list-wrapper escort-info">
	<?php foreach($this->videos as $video): ?>
		<div class="video-item">
			<a 
				href="<?= $this->getLink('profile', array('showname' => $video->showname, 'escort_id' => $video->escort_id)); ?>" 
				class="link-overlay video-escort-link"
			>
				<img 
					src="<?= $video->video_image; ?>" alt="<?= 'Escort ' . $video->showname; ?>"
					width="162"
					height="120"
				>
			</a>

			<div class="details">
				<span class="city-showname"><?= $video->showname; ?></span>
				<span class="city-title"><?= $video->{'title_' . $this->lang}?></span>
			</div>

		</div>
	<?php endforeach; ?>

	
</div>
<?php if ($this->count > 50): ?>
<div class="btns escort-info">
	<a 
		href="javascript:void(0)" 
		data-city="<?= $this->city_id ?>"
		data-page="<?= $this->page - 1; ?>"
		class="btn <?= ($this->page == 1) ? 'inactive' : '' ?>"
	>&laquo;</a>

	<a 
		href="javascript:void(0)"
		data-city="<?= $this->city_id ?>"
		data-page="<?= $this->page + 1; ?>"
		class="btn <?= (($this->page + 1) > $this->total_pages) ? 'inactive' : ''; ?>"
	>&raquo;</a>
</div>
<?php endif; ?>


<style>
	.btns {
		font-size: 0;
	}

	.btns .btn {
	    display: inline-block;
	    width: calc(50% - 20px);
	    height: 30px;
	    font-size: 24px;
	    box-sizing: border-box;
	    margin: 10px;
	    line-height: 24px;
	    text-decoration: none;
	    border-radius: 3px;
	    background-color: #10358c;
	    color: #fff;
	    font-weight: 300;
	    text-align: center;
	}

	.btns .btn.inactive {
		background-color: #fff;
		border: 1px solid #10358c;
		color: #10358c;
		pointer-events: none;
		opacity: 0.5;
	}

	.city-container {
		font-size: 0;
		border-bottom: 1px solid #f0f0f0;
	}

	.city-container .city-block {
		display: inline-block;
		width: 45%;
		margin: 5px 0;
		text-align: left;
	}

	.city-container .city-block:last-child {
		float: left;
	}

	.city-container .city-block .city {
		display: inline;
		font-size: 12px;
		color: #2b8fc4;
	}

	.city-container .city-block .city a {
		display: inline;
		font-size: 12px;
		color: #2b8fc4;
		text-decoration: none;
	}

	.city-container .city-block .city i {
		display: inline;
		color: #ccc;
		font-style: normal;
	}

	.video-list-wrapper {
		width: 100%;
		font-size: 0;
		margin-top: 10px;
	}

	.video-list-wrapper .video-item {
		display: inline-block;
		vertical-align: top;
		width: 48%;
		padding: 10px;
		box-sizing: border-box;
	}

	.video-list-wrapper .video-item .link-overlay {
		/*background-color: rgba(0, 0, 0, 0.5);*/
	    background-image: url(/m/i/play-btn.png);
	    display: inline-block;
	    width: 100%;
	    background-size: 50px;
	    background-position: center;
	    background-repeat: no-repeat;;
	}

	.video-list-wrapper img {
		width: 100%;
		outline: none;
		border: none;
		border-radius: 3px 3px 0 0;
		
	}

	.video-list-wrapper .details {
		font-size: 14px;
	}

	.video-list-wrapper .details .city-showname {
	    display: block;
	    width: 100%;
	    border-radius: 0 0 3px 3px;
	    line-height: 20px;
	    color: #aaa;
	    overflow: hidden;
	    text-overflow: ellipsis;
	    white-space: nowrap;
	}

	.video-list-wrapper .details .city-title {
		display: block;
		width: 100%;
		color: #ccc;
		font-size: 12px;
	    overflow: hidden;
	    text-overflow: ellipsis;
	    white-space: nowrap;
	}

	#btnShowMore,
	#btnShowLess {
		padding: 5px 10px;
	    margin: 10px auto 5px;
	    display: block;
	    background: #004ebd;
	    color: #fff;
	    border-radius: 3px;
	    width: auto;
	}

	hr.separator {
		border: 0;
	    height: 0;
	    border-top: 1px solid rgba(0, 0, 0, 0.1);
	    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
	}

	#page {
		width: 94%;
		font-size: 1.4em;
		margin: 0 auto;
	}

	#page .escort-info {
		height: auto;
		width: calc(100% - 16px);
		padding: 8px;
		background: #fff;
		box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
		margin: 12px auto 0 auto;
	}

	#page .city a {
	    text-decoration: none;
	    font-weight: bold;
	    font-size: 13px;
	    color: #10358C;
	}


</style>


<script>
	(function() {
		function showMoreCities() {
			var $btnShowMore = $('#btnShowMore'),
				$btnShowLess = $('#btnShowLess');

			$btnShowMore.on('click', function() {
				$btnShowMore.hide('fast');
				$btnShowLess.show('slow');
				$('.scondary-cities').slideDown('slow');
			});
		}

		function showLessCities() {
			var $btnShowMore = $('#btnShowMore'),
				$btnShowLess = $('#btnShowLess');

			$btnShowLess.on('click', function() {
				$btnShowLess.hide('fast');
				$btnShowMore.show('slow');
				$('.scondary-cities').slideUp('slow');
			});
		}

		/**
		 * Filters the videos by city
		 */

		function filterCities() {
			var cities = $('.city-container .city');

			cities.on('click', function(e) {
				e.preventDefault();

				var url = $(this).find('a').attr('href');

				$.ajax({
					method: 'GET',
					url: url,
					data: {
						ajax: 1
					},

					success: function(resp)  {
						var html = $(resp);

						var videoItems = html.find('.video-item');
						var btns = html.find('.btn');
						
						$('.video-list-wrapper').html('').append(videoItems);
						$('.btns').html('').append(btns);

						setTimeout(function() {
							handlePaging();
						}, 0);
						
					}

				});

			});
		}

		/**
		 * Handles the paging buttons clicking
		 */

		function handlePaging() {
			var btns = $('.btn');

			btns.on('click', function(e) {
				e.preventDefault();

				$.ajax({
					method: 'GET',
					url: '/video-list',
					data: {
						ajax: 1,
						page: $(this).attr('data-page'),
						city_id: $(this).attr('data-city')
					},

					success: function(resp)  {
						var html = $(resp);

						var videoItems = html.find('.video-item');
						var btns = html.find('.btn');
						
						$('.video-list-wrapper').html('').append(videoItems);
						$('.btns').html('').append(btns);

						setTimeout(function() {
							handlePaging();
						}, 0);
						
					}

				});
			});
		}

		function escortLinks() {
			$(document).on("click", ".video-escort-link", function(e){
			    e.preventDefault();
			    var url = $(this).attr('href');
			    window.location.href = url;
			});
		}

		filterCities();
		handlePaging();
		showMoreCities();
		showLessCities();
		escortLinks();

	})();
</script>